=== tests/CMakeLists.txt ===
 #################################################################################
#
# GEOS tests build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

add_subdirectory(unit)
add_subdirectory(xmltester)
add_subdirectory(bigtest)

# TODO: add other test programs
