=== debian/changelog ===
geos (3.4.2-6) unstable; urgency=medium

  * Also build the PHP binding.
    (closes: #761467)
  * Add Pre-Depends for ruby-geos & libgeos-dbg.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 14 Sep 2014 18:16:28 +0200

geos (3.4.2-5) unstable; urgency=medium

  * Do run tests, but don't fail build on troublesome architectures.
    (closes: #743822)
  * Add patch to support Ruby 2.x.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 25 Apr 2014 22:57:49 +0200

geos (3.4.2-4) unstable; urgency=low

  * Re-enable parallel builds, wasn't cause of testrunning failures.
  * Skip tests on troublesome architectures. 

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 20 Mar 2014 08:44:52 +0100

geos (3.4.2-3) unstable; urgency=medium

  * Add patch to include cmath in unit tests to have isnan() defined.
  * Disable parallel builds, can cause xmltester failures.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 19 Mar 2014 09:15:09 +0100

geos (3.4.2-2) unstable; urgency=medium

  * Add myself to Uploaders.
  * Restructure control file with cme, changes: Vcs-* fields.
  * Rename libgeos-ruby1.8 to ruby-geos, according to Ruby packaging policy.
  * Use minimal dh rules with autoreconf for retooling.
    (closes: #733585)
  * Also patch Makefile.am and macros/ruby.m4 for Ruby extension.
  * Enable parallel builds.
  * Link to LGPL-2.1 common license instead of symlink in copyright file.
  * Update copyright file using copyright-format 1.0.
  * Add DEP3 patch headers.
  * Add doc-base registration for libgeos-doc.
  * Add patches to modernize the build system to prevent autoreconf warnings.
  * Add gbp.conf to use pristine-tar by default.
  * Add lintian overrides for no symbols file,
    symbols are problematic for C++ libraries.
  * Bump Standards-Version to 3.9.5, changes: Vcs-* fields, minimal dh rules,
    copyright-format.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 07 Mar 2014 21:08:52 +0100

geos (3.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build for current Ruby version. (Closes: #735652)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 13 Feb 2014 02:29:40 +0100

geos (3.4.2-1) unstable; urgency=low

  [ Markus Wanner and Francesco Paolo Lovergine ]
  * New upstream release. 
    (closes: #693694)
  * Patches just refreshed.

  [ Bas Couwenberg ]
  * Build-depend on autotools-dev so that the config.guess/config.sub update
    code in debian/rules works properly. Thanks Colin Watson for the patch!
    (closes: #726455)
  * Update watch file, handle common mistakes.

  [ Francesco Paolo Lovergine ]
  * Added an idiot-proof ruby patch for libtool in order to avoid a FTBS.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 06 Dec 2013 13:48:39 +0100

geos (3.3.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on ruby/ruby-dev1.8 and build-conflict on ruby/ruby-dev1.9 to
    ensure the package continues to be built using ruby1.8 (Closes: #676094)
    - Thanks to Peter Green and Raspbian for the patch

 -- Scott Kitterman <scott@kitterman.com>  Tue, 10 Jul 2012 23:39:07 -0400

geos (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Dropped geos-config patch, merged upstream.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 26 Feb 2012 23:29:37 +0100
